%global momorel 6

Summary:	Carp-Clan module for perl 
Name:		perl-Carp-Clan
Version:	6.04
Release:	%{momorel}m%{?dist}
License:	GPL or Artistic
Group:		Development/Languages
Source0:	http://www.cpan.org/authors/id/S/ST/STBEY/Carp-Clan-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Carp/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 1:5.8.1
BuildArch:	noarch

%description
Carp-Clan module for perl

%prep
%setup -q -n Carp-Clan-%{version} 

%build
echo Ny | CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Carp-Clan-%{version}-filelist
if [ "$(cat Carp-Clan-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Carp-Clan-%{version}-filelist
%defattr(-,root,root)
%doc Changes README

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (6.04-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.04-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.04-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (6.04-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.04-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Oct 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (6.04-1m)
- update to 6.04

* Sat Oct 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (6.03-1m)
- update to 6.03

* Sat Oct 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (6.02-1m)
- update to 6.02

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (6.00-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (6.00-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.00-2m)
- rebuild against gcc43

* Mon Feb 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (6.00-1m)
- update to 6.00

* Mon Jan 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.10-1m)
- update to 5.10

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (5.9-2m)
- use vendor

* Thu Apr 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.9-1m)
- update to 5.9

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (5.8-1m)
- update to 5.8

* Tue Sep 26 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (5.4-1m)
- update to 5.4

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.3-3m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.3-2m)
- rebuilt against perl-5.8.7

* Sat Dec 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (5.3-1m)
- spec file was semi-autogenerated
